/**
 * 开票信息
 * */

$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	
	initTable();
	$("#sc_btns").click(function() {
		initTable();
	});

});

//列表
function initTable() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WoBill/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,// int 页码，默认为1	
				pagesize: params.pageSize,// int 条数，默认为10
				btime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //string 开始时间
				etime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //string 结束时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化是否开票
function formatterState(val){
	var str = '否';
	if(val === 1){
		str = '是';
	}
	return str;
}

//格式化 备注
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}

}

//格式化操作
function formatterOprate(val) {
	return '<ul class="tool_downs">' +
						'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + val + '" onclick="btn_edit(' + val + ')" title="编辑">编辑</a></li>' +
						'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + val + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
					'</ul>';
}

//添加
function btn_add(){
	layer.open({
		type: 2,
		title: '添加开票信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditInvoice.html'
	});
}

//编辑
function btn_edit(editId){
	layer.open({
		type: 2,
		title: '编辑开票信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditInvoice.html?edit_id=' + editId
	});
}

//删除
function btn_delete(oid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "WoBill/DelBill",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#workorderlist').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
